# Class CaseInsensitiveObservableMap<V>

Case insensitive implementation of ObservableMap keyed by string.

#### Type Parameters

- V

#### Hierarchy (view full)

- ObservableMap<string, V>
  - CaseInsensitiveObservableMap

#####
Index

### Constructors

constructor

### Properties

_originalMap
[toStringTag]
@eventTypes

### Accessors

size

### Methods

[iterator]
clear
delete
entries
forEach
get
has
keys
set
toJSON
values

##
Constructors

### constructor

- new CaseInsensitiveObservableMap<V>(): CaseInsensitiveObservableMap<V>

- #### Type Parameters

  - V

  #### Returns CaseInsensitiveObservableMap<V>

  Inherited from ObservableMap.constructor

##
Properties

### `Protected`_originalMap

_originalMap: ObservableMap<string, V> | Map<string, V>

The underlying map that this object is delegating to.

Inherited from ObservableMap._originalMap

### `Readonly`[toStringTag]

[toStringTag] = "ObservableMap"

Used by Object.toString().

Inherited from ObservableMap.[toStringTag]

### @eventTypes

@eventTypes: MapEvents<string, V>

#### Deprecated

Do not directly reference this property. Use EventNames and EventTypes helpers from @arcgis/core/Evented.

Inherited from ObservableMap.@eventTypes

##
Accessors

### size

- get size(): number

- The number of elements.

  #### Returns number

  Inherited from ObservableMap.size

##
Methods

### [iterator]

- [iterator](): MapIterator<[string, V]>

- Returns the `[key, value]` pairs for each element in the map in insertion order.

  #### Returns MapIterator<[string, V]>

  Overrides ObservableMap.[iterator]

### clear

- clear(): void

- Removes all elements.

  #### Returns void

  Inherited from ObservableMap.clear

### delete

- delete(key): boolean

- Removes the specified element.

  #### Parameters

  - key: string

    The element's key.

  #### Returns boolean

  True if an element was deleted, otherwise false.

  Overrides ObservableMap.delete

### entries

- entries(): MapIterator<[string, V]>

- Returns the `[key, value]` pairs for each element in the map in insertion order.

  #### Returns MapIterator<[string, V]>

  Overrides ObservableMap.entries

### forEach

- forEach(callbackfn, thisArg?): void

- Executes a provided function once per each key/value pair in the map.

  #### Parameters

  - callbackfn: ((value: V, key: string, map: Map<string, V>) => void)

    Function to execute for each element.

    - - (value, key, map): void

      - #### Parameters

        - value: V
        - key: string
        - map: Map<string, V>

        #### Returns void

  - `Optional` thisArg: unknown

    Value to use as `this` when executing callback.

  #### Returns void

  Inherited from ObservableMap.forEach

### get

- get(key): V

- Returns a specified element from the Map object. If the value that is associated to the provided key is an object, then you will get a reference to that object and any change made to that object will effectively modify it inside the Map.

  #### Parameters

  - key: string

  #### Returns V

  Returns the element associated with the specified key. If no element is associated with the specified key, undefined is returned.

  Overrides ObservableMap.get

### has

- has(key): boolean

- Indicates whether or not an element with the specified key exists.

  #### Parameters

  - key: string

    The key to test for.

  #### Returns boolean

  Overrides ObservableMap.has

### keys

- keys(): MapIterator<string>

- Returns the keys for each element in the map in insertion order.

  #### Returns MapIterator<string>

  Overrides ObservableMap.keys

### set

- set(key, value?): this

- Adds a new element with a specified key and value to the Map. If an element with the same key already exists, the element will be updated.

  #### Parameters

  - key: string
  - `Optional` value: V

  #### Returns this

  Overrides ObservableMap.set

### toJSON

- toJSON(): unknown

- Returns a serializable representation of the map.

  #### Returns unknown

  Inherited from ObservableMap.toJSON

### values

- values(): MapIterator<V>

- Returns the values for each element in the map in insertion order.

  #### Returns MapIterator<V>

  Inherited from ObservableMap.values